/* Desktop Selector */
.language-selector {
  position: relative;
}
.language-selector .dropdown-toggle {
  background: none;
  border: none;
  cursor: pointer;
}
.language-selector img {
  width: 24px;
  height: 24px;
}
.language-selector .dropdown-menu {
  display: none;
  position: absolute;
  background: white;
  border: 1px solid #ccc;
  border-radius: 0;
  top: calc(100%);
  left: 0;
  z-index: 999;
  padding: 0;
  margin-left: -6px;
}
.language-selector .dropdown-menu li {
  list-style: none;
  padding: 0; /* Mantém alinhamento vertical com a bandeira principal */
  transition: background 0.3s ease;
  display: flex;             /* Para centralizar a imagem dentro do li */
  align-items: center;       /* Alinha verticalmente */
}

.language-selector .dropdown-menu li img {
  margin: 0 6px; /* Espaçamento lateral entre imagem e bordas */
}
.language-selector .dropdown-menu li:hover {
  background: #e8f5e8;
}
.language-selector.active .dropdown-menu {
  display: block;
}

/* Mobile Selector */
.mobile-lang-selector {
  position: fixed;
  right: 20px;
  bottom: 83px;
  z-index: 999;
  display: flex;
  flex-direction: column-reverse;
  align-items: center;
}
.mobile-lang-selector button {
  background: transparent;
  border-radius: 50%;
  width: 48px;
  height: 48px;
  border: 1px solid white;
  box-shadow: 0 0 4px rgba(0, 0, 0, 0.2);
  cursor: pointer;
  padding: 0;
}
.mobile-lang-selector button img {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  object-fit: cover;
}
#mobile-lang-options {
  display: none;
  flex-direction: column-reverse;
  align-items: center;
  margin-bottom: 10px;
}
#mobile-lang-options a {
  background: transparent;
  border-radius: 50%;
  width: 40px;
  height: 40px;
  margin: 6px 0;
  display: flex;
  align-items: center;
  justify-content: center;
  transition: transform 0.3s ease;
  overflow: hidden;
}
#mobile-lang-options a img {
  width: 100%;
  height: 100%;
  border-radius: 50%;
  object-fit: cover;
}
#mobile-lang-options a:hover {
  transform: scale(1.1);
}
@media (min-width: 768px) {
  .mobile-lang-selector {
    display: none;
  }
}
@media (max-width: 991px) {
  .language-selector {
    display: none;
  }
}

@media (min-width: 768px) and (max-width: 991px) {
  .mobile-lang-selector {
    display: flex;
  }
}

